Bug 510982 - Review Request: psimedia - Audio and video RTP services for Psi-like IM clients
Review Request: psimedia - Audio and video RTP services for Psi-like IM clients
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-12 22:43 EDT by nucleo
Modified: 2009-08-25 00:38 EDT (History)
5 users (show)

See Also:
Fixed In Version: 1.0.3-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-25 00:38:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lemenkov: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description nucleo 2009-07-12 22:43:21 EDT
Spec URL:
http://nucleo.fedorapeople.org/pkg-reviews/psimedia/psimedia.spec

SRPM URL:
http://nucleo.fedorapeople.org/pkg-reviews/psimedia/psimedia-1.0.3-1.fc11.src.rpm

Description:
PsiMedia is a thick abstraction layer for providing audio and
video RTP services to Psi-like IM clients. The implementation
is based on GStreamer.

$ rpmlint psimedia-1.0.3-1.fc11.i586.rpm psimedia-1.0.3-1.fc11.src.rpm psimedia-debuginfo-1.0.3-1.fc11.i586.rpm
psimedia.src:34: W: configure-without-libdir-spec
3 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 1 nucleo 2009-07-12 22:44:56 EDT
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1470456
Comment 2 nucleo 2009-07-12 22:46:18 EDT
Scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1470455
Comment 3 Peter Lemenkov 2009-07-13 01:33:04 EDT
I'll review it.
Comment 4 Peter Lemenkov 2009-07-13 01:37:53 EDT
BTW, please provide full real name in your Fedora Account, or you may lose your status due to incomplete data provided (due to legal requests we all must provide valid real name and phone number in Fedora Account).
Comment 5 nucleo 2009-07-13 07:56:33 EDT
(In reply to comment #4)
> BTW, please provide full real name in your Fedora Account, or you may lose your
> status due to incomplete data provided (due to legal requests we all must
> provide valid real name and phone number in Fedora Account).  

Full Name is provided in FAS.
Comment 6 Sven Lankes 2009-07-16 04:20:55 EDT
Just a note: You're hardcoding /usr/lib/psi in the patch you're applying. This 
will break on x86_64 as the dir ist /usr/lib64/psi there. You need to make sure 
to use %{_libdir}.
Comment 7 nucleo 2009-07-16 10:55:22 EDT
I have fixed psimedia-demo.patch and psimedia.spec for using %{_libdir}.

New Spec URL:
http://nucleo.fedorapeople.org/pkg-reviews/psimedia/psimedia.spec

New SRPM URL:
http://nucleo.fedorapeople.org/pkg-reviews/psimedia/psimedia-1.0.3-1.fc11.src.rpm

New scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1479605

$ rpmlint psimedia-1.0.3-1.fc11.i586.rpm psimedia-1.0.3-1.fc11.src.rpm psimedia-debuginfo-1.0.3-1.fc11.i586.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 8 nucleo 2009-07-16 20:22:33 EDT
- Fixed patch for using libdir in plugins path
- Group changed to Applications/Multimedia

New Spec URL:
http://nucleo.fedorapeople.org/pkg-reviews/psimedia/psimedia.spec

New SRPM URL:
http://nucleo.fedorapeople.org/pkg-reviews/psimedia/psimedia-1.0.3-2.fc11.src.rpm

$ rpmlint psimedia-1.0.3-2.fc11.i586.rpm psimedia-1.0.3-2.fc11.src.rpm psimedia-debuginfo-1.0.3-2.fc11.i586.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 9 Peter Lemenkov 2009-07-17 04:17:42 EDT
REVIEW:

+ rpmlint is silent

[petro@Workplace ~]$ rpmlint Desktop/psimedia-1.0.3-2.fc11.i586.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[petro@Workplace ~]$

+ The package is named according to the Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines .
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines .
+ The License field in the package spec file matches the actual license.
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources, used to build the package,  matches the upstream source, as provided in the spec URL.

[petro@Sulaco SOURCES]$ sha256sum psimedia-1.0.3.tar.bz2*
019d18034fa94299d896448841d129fd1bad5f58daeb2aba7be540a7d06fb23b  psimedia-1.0.3.tar.bz2
019d18034fa94299d896448841d129fd1bad5f58daeb2aba7be540a7d06fb23b  psimedia-1.0.3.tar.bz2.1
[petro@Sulaco SOURCES]$

+ The package successfully compiles and builds into binary rpms on at least one primary architecture.

http://koji.fedoraproject.org/koji/taskinfo?taskID=1481404

+ All build dependencies are listed in BuildRequires.
+ The package does not list a file more than once in the spec file.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissable content.
+ Everything, the package includes as %doc, does not affect the runtime of the application.
+ The package does NOT contain any .la libtool archives.
+ The package includes a %{name}.desktop file, and this file is properly installed with desktop-file-install in the %install section.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8

I don't see any issues here, except that F-10 and F-11 branches still ships with Psi 0.12. So, let's wait while Psi in these two branches will be updated (ETA is July 26th, according to Justin's Karneges message in psi-devel).

Anyway, this package is

APPROVED.
Comment 10 nucleo 2009-07-17 09:29:42 EDT
(In reply to comment #9)

> I don't see any issues here, except that F-10 and F-11 branches still ships
> with Psi 0.12. So, let's wait while Psi in these two branches will be updated
> (ETA is July 26th, according to Justin's Karneges message in psi-devel).

Psimedia requires gstreamer-plugins-base-devel >= 0.10.22.
But there is gstreamer-plugins-base-0.10.21 in F-10:
http://koji.fedoraproject.org/koji/packageinfo?packageID=576

hadess has told me that no plans to include newest gstreamer-plugins-base versions in F-10. Newest packages will be only in F-11 and rawhide.
So, we can't build psimedita for F-10 branch.
Psimedita can be built now in rawhide:
https://bugzilla.redhat.com/show_bug.cgi?id=509683

> Anyway, this package is
> 
> APPROVED.

Thank you for review.

New Package CVS Request
=======================
Package Name: psimedia
Short Description: Audio and video RTP services for Psi-like IM clients
Owners: nucleo
Branches: F-11
InitialCC:
Comment 11 Jason Tibbitts 2009-07-17 11:49:28 EDT
CVS done.
Comment 12 nucleo 2009-07-18 15:27:57 EDT
(In reply to comment #11)
> CVS done.  

Thank you.

Psimedia was built for rawhide
http://koji.fedoraproject.org/koji/buildinfo?buildID=114873

Psimedia for F-11 will be built when psi 0.13 release will be built for F-11.
Comment 13 Fedora Update System 2009-07-29 17:45:58 EDT
psimedia-1.0.3-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/psimedia-1.0.3-2.fc11
Comment 14 Fedora Update System 2009-07-31 14:02:37 EDT
psimedia-1.0.3-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update psimedia'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8138
Comment 15 Fedora Update System 2009-08-25 00:38:27 EDT
psimedia-1.0.3-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.